Name:		gpscorrelate
Summary:	GPS photo tagging application 
Version:	2.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Photography
URL:		https://dfandrich.github.io/gpscorrelate/
Source0:	https://github.com/dfandrich/gpscorrelate/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	exiv2
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)

%description
This program correlates digital camera photos with GPS data in GPX format. The
result is images with the location they were taken embedded in the photo's EXIF
data.

%prep
%autosetup -p1

%build
%make_build LDFLAGS="%{?ldflags}" CFLAGS="%{optflags} -DENABLE_NLS" prefix=%{_prefix}
%make_build build-po prefix=%{_prefix}

%check
%make_build check

%install
%make_install install install-po prefix=%{_prefix}
install -D -m 644 gpscorrelate-gui.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/gpscorrelate-gui.svg
install -D -m 644 gpscorrelate.desktop %{buildroot}%{_datadir}/applications/gpscorrelate.desktop
install -D -m 644 io.github.dfandrich.gpscorrelate.metainfo.xml %{buildroot}%{_metainfodir}/io.github.dfandrich.gpscorrelate.metainfo.xml
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS RELEASES doc
%doc %{_docdir}/%{name}/*
%license COPYING
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/applications/*
%{_metainfodir}/io.github.dfandrich.gpscorrelate.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/*


%changelog
* Sat Oct 19 2024 danf <danf> 2.2-1.mga10
+ Revision: 2108251
- Update to ver. 2.2

* Thu Apr 04 2024 daviddavid <daviddavid> 2.1-2.mga10
+ Revision: 2054312
- move metainfo file to /share/metainfo dir

* Thu Apr 04 2024 danf <danf> 2.1-1.mga10
+ Revision: 2054265
- Update to ver. 2.1

* Mon Oct 02 2023 daviddavid <daviddavid> 2.0-4.mga10
+ Revision: 1993156
- add archlinux patch to fix build with exiv2 >= 0.28
- rebuild for new exiv2 0.28.0

* Thu Mar 31 2022 umeabot <umeabot> 2.0-3.mga9
+ Revision: 1837633
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 2.0-2.mga8
+ Revision: 1537759
- Mageia 8 Mass Rebuild

* Fri Nov 08 2019 danf <danf> 2.0-1.mga8
+ Revision: 1458796
- Updated to ver. 2.0

* Thu May 16 2019 daviddavid <daviddavid> 1.6.1-11.mga7
+ Revision: 1398051
- add patch to fix build with exiv2 0.27.1
- rebuild for new exiv2 0.27.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.6.1-10.mga7
+ Revision: 1346045
- rebuild for exiv2

* Sun Sep 23 2018 umeabot <umeabot> 1.6.1-9.mga7
+ Revision: 1298051
- Mageia 7 Mass Rebuild

* Tue Jun 20 2017 neoclust <neoclust> 1.6.1-8.mga6
+ Revision: 1108000
- Rebuild against new exiv2

* Thu Feb 11 2016 umeabot <umeabot> 1.6.1-7.mga6
+ Revision: 954186
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.1-6.mga6
+ Revision: 749553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.1-5.mga5
+ Revision: 679919
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 dams <dams> 1.6.1-4.mga5
+ Revision: 589010
- rebuild for new exiv2

* Fri Oct 18 2013 umeabot <umeabot> 1.6.1-3.mga4
+ Revision: 505222
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-2.mga3
+ Revision: 352544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 matteo <matteo> 1.6.1-1.mga3
+ Revision: 337427
- fixed group
- spec file reviewed
- Imported Mandriva package

